MPIL_Spawn(3)

NAME
MPIL_Spawn - LAM/MPI-specific function to spawn MPI processes

SYNOPSIS
#include <mpi.h>
int MPIL_Spawn(MPI_Comm comm, char *schema, int root,
        MPI_Comm *intercomm)

INPUT PARAMETERS
comm
    - Source communicator (handle)
schema
    - character string LAM app schema
root
    - root node (integer)

OUTPUT PARAMETER
intercomm
    - new intercommunicator spanning comm and the MPI_COMM_WORLD of the new processes

NOTES
This function is deprecated. It has been replaced with an MPI-2 function (see the "See also" section, below), which provides the same functionality. This function is (or effectively is) a wrapper to the replacement function, anyway. User programs should use the MPI-2 replacement function instead of this function. Some functions are deprecated because their names did not conform to the stricter naming conventions of MPI-2; others are deprecated because they have been replaced with more flexible functionality.

SEE ALSO
MPI_Comm_spawn

LOCATION
mpil_spawn.c